Loading...
Searching...
No Matches
gtsam::MarginalizeNonleafException Class Reference

## Detailed Description

Thrown when requesting to marginalize out variables from ISAM2 that are not leaves.

To make the variables you would like to marginalize be leaves, their ordering should be constrained using the constrainedKeys argument to ISAM2::update().

Inheritance diagram for gtsam::MarginalizeNonleafException:

## Public Member Functions

| MarginalizeNonleafException (Key key, KeyFormatter formatter=DefaultKeyFormatter) noexcept
Key | key () const
const char * | what () const noexcept override

The documentation for this class was generated from the following file:

- /build/gtsam-RkN8wG/gtsam-4.2.2+dfsg/gtsam/nonlinear/nonlinearExceptions.h